<template>
  <div>
    <Loading/>
    <slot></slot>
  </div>
</template>

<script>
import {provideMethods,provideDatas} from "../libs/genProvider";
import Loading from "../components/Loading";

export default {
  name: "LoadingProvider",
  components: {Loading},
  provide() {
    const provider = {};

    provideDatas(provider, 'load', this);
    provideMethods(provider, 'load', this);

    return provider;
  },
  data: () => ({
    loading: false
  }),
  methods: {
    showLoading() {
      this.loading = true;
    },
    hideLoading() {
      this.loading = false;
    }
  },
}
</script>

<style scoped>

</style>
